summaryrefslogtreecommitdiffstats
path: root/source/l/glib2/glib2.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/glib2/glib2.SlackBuild')
-rwxr-xr-xsource/l/glib2/glib2.SlackBuild42
1 files changed, 28 insertions, 14 deletions
diff --git a/source/l/glib2/glib2.SlackBuild b/source/l/glib2/glib2.SlackBuild
index 4998e415..66c5f11c 100755
--- a/source/l/glib2/glib2.SlackBuild
+++ b/source/l/glib2/glib2.SlackBuild
@@ -80,26 +80,40 @@ find . \
# Get the local timezone link from /etc/localtime-copied-from:
zcat $CWD/glib2.slackware.localtime.diff.gz | patch -p1 --verbose || exit 1
-if [ ! -r configure ]; then
- NOCONFIGURE=1 ./autogen.sh
-fi
-
-CFLAGS="$SLKCFLAGS" \
-./configure \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
--mandir=/usr/man \
- --enable-gtk-doc \
- --disable-libelf \
- --build=$ARCH-slackware-linux || exit 1
-
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ -Dselinux=disabled \
+ -Dfam=true \
+ -Dman=true \
+ -Dgtk_doc=true \
+ -Dinstalled_tests=false \
+ .. || exit 1
+ ninja || exit 1
+ DESTDIR=$PKG ninja install || exit 1
+cd ..
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+# Since meson isn't listening to options:
+rm -rf $PKG/usr/libexec/installed-tests
+rmdir $PKG/usr/libexec
+
# Install profile scripts:
mkdir -p $PKG/etc/profile.d/
cp -a $CWD/libglib2.{csh,sh} $PKG/etc/profile.d/